Package org.eclipse.jface.text

# Class TextViewer.TextHoverKey

java.lang.Object
org.eclipse.jface.text.TextViewer.TextHoverKey

Enclosing class:
  TextViewer

protected class TextViewer.TextHoverKey extends Object
Value object used as key in the text hover configuration table. It is modifiable only inside this compilation unit to allow the reuse of created objects for efficiency reasons

Since:
  2.1

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TextHoverKey(String contentType, int stateMask)`
Creates a new text hover key for the given content type and state mask.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextHoverKey

protected TextHoverKey(String contentType, int stateMask)
Creates a new text hover key for the given content type and state mask.

Parameters:
  `contentType` - the content type
  `stateMask` - the state mask

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`